/*************************************************
*  OtBbNt\pCu@wb_
*		|[g̒`
*		֐vg^Cv
**************************************************/
#include "p24FJ64GA002.h"

#define Fosc 32
/* LCD Ports define */
#define 	LCD_TRIS 	TRISB
#define	LCD_DIO		LATBbits.LATB7
#define	LCD_CS		LATBbits.LATB5
#define  LCD_WR		LATBbits.LATB6
#define  LCD_RD		LATBbits.LATB4
#define  LCD_RST		LATAbits.LATA4

/*****************************************
* Epson S1D15G10 Command Set
*****************************************/

#define SWRESET	0x01
#define SLPIN		0x10
#define SLPOUT	0x11
#define PTLON		0x12
#define NORON		0x13
#define INVOFF	0x20
#define INVON		0x21
#define GAMSET	0x26
#define DISPOFF	0x28
#define DISPON	0x29
#define CASET		0x2A
#define RASET		0x2B
#define RAMWR		0x2C
#define RAMRD		0x2E
#define PTLAR		0x30
#define TEOFF		0x34
#define TEON		0x35
#define MADCTL	0x36
#define IDMOFF	0x38
#define IDMON		0x39
#define COLMOD	0x3A
#define FRMCTR1	0xB1
#define FRMCTR2	0xB2
#define FRMCTR3	0xB3
#define INVCTR	0xB4
#define DISSET5	0xB6
#define PWCTR1	0xC0
#define PWCTR2	0xC1
#define PWCTR3	0xC2
#define PWCTR4	0xC3
#define PWCTR5	0xC4
#define VMCTR1	0xC5
#define VMOFCTR	0xC7
#define WRID2		0xD1
#define WRID3		0xD2
#define PWCTR6	0xFC
#define NVCTR1	0xD9
#define NVCTR2	0xDE
#define NVCTR3	0xDF
#define GAMCTRP1	0xE0
#define GAMCTRN1	0xE1
#define EXTCTRL	0xF0
#define VCOM4L	0xFF

// TCYw
#define ENDPAGE	130		// Y
#define ENDCOL    131		// X
#define XChar		(short)((ENDCOL+1)/12)
#define YLine 	(short)((ENDPAGE+1)/14)

/*******************************************
*  16bit Color Difinition
*******************************************/
#define WHITE		0xFFFF
#define BLACK		0x0000
#define RED		0xF800
#define GREEN		0x07C0
#define BLUE		0x001F
#define CYAN		0x07FF
#define MAGENTA	0xF81F
#define YELLOW	0xFFE0
#define BROWN		0xA18A
#define ORANGE	0xFBC0
#define PINK		0xF998

/***  ֐vg^Cv ****/
void lcd_cmd(unsigned char cmnd);
void lcd_data(unsigned char data);
void lcd_Init(void);
void lcd_Clear(unsigned short Color);
void lcd_Pixel(short Xpos, short Ypos, unsigned short Color);
void lcd_Char(char line, char colum, unsigned char letter, unsigned short Color1, unsigned short Color2);
void lcd_Str(char line, char colum, char *s, unsigned short Color1, unsigned short Color2);
void lcd_Line(short x0, short y0, short x1, short y1, unsigned short Color);
void lcd_Scroll(unsigned short delay);
void lcd_Image(char line, const unsigned char *ptr, unsigned short Color1, unsigned Color2);
void delay_us(unsigned short time);
void delay_ms(unsigned short time);





